<?php
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

class PDF_Viewer_URL_Tag extends \Elementor\Core\DynamicTags\Data_Tag {
    public function get_name() {
        return 'pdf-url';
    }

    public function get_title() {
        return 'URL PDF файла';
    }

    public function get_group() {
        return 'pdf';
    }

    public function get_categories() {
        return [
            \Elementor\Modules\DynamicTags\Module::MEDIA_CATEGORY,
            \Elementor\Modules\DynamicTags\Module::URL_CATEGORY,
            \Elementor\Modules\DynamicTags\Module::POST_META_CATEGORY,
        ];
    }

    protected function get_value(array $options = []) {
        $post_id = get_the_ID();
        
        // Получаем значение из мета-полей
        $pdf_url = get_post_meta($post_id, 'pdf_file_url', true);
        
        // Проверяем ACF поля
        if (function_exists('get_field') && empty($pdf_url)) {
            $acf_pdf = get_field('pdf_file', $post_id);
            if (!empty($acf_pdf)) {
                $pdf_url = is_array($acf_pdf) ? $acf_pdf['url'] : $acf_pdf;
            }
        }
        
        return $pdf_url;
    }
} 